
#ifndef KDIALUPCONFIGDLG_H
#define KDIALUPCONFIGDLG_H

#include "kdialupconfig.h"
#include "dialup.h"


#define CONNECT_ISDN "ISDN"
#define CONNECT_PPPOE "PPPOE (DSL)"
#define CONNECT_ANALOG "Analog"

class SuProcessBase;

class KDialupConfigDlg : public dialupConfig
{
    Q_OBJECT

    public:
        KDialupConfigDlg(QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
        ~KDialupConfigDlg();
        bool init(QString profile);
        dialupData getData()
        {
            return m_data;
        }
        /*$PUBLIC_FUNCTIONS$*/
    public slots:
        /*$PUBLIC_SLOTS$*/
        virtual void          cancel();
        virtual void          ok();
        virtual void          fillInterfaces(const QString& networkType);
        void profileModified(SuProcessBase *proc);
    
    signals:
        void dialupNetworksUpdated();
  

    private:
        void parseConfigLine(QString line);
        bool getDataFromConfig();
        void setData();
        dialupData m_data;
        QString m_profile;
        bool m_newProfile;
        
    protected:
        /*$PROTECTED_FUNCTIONS$*/

    protected slots:
        /*$PROTECTED_SLOTS$*/

};

#endif

